---
shared:
  experimental_features: <%= ENV.fetch('EXPERIMENTAL_FEATURES', nil) %>
  limited_federation_mode: <%= (ENV.fetch('LIMITED_FEDERATION_MODE', nil) || ENV.fetch('WHITELIST_MODE', nil)) == 'true' %>
  self_destruct_value: <%= ENV.fetch('SELF_DESTRUCT', nil)&.to_json %>
  software_update_url: <%= ENV.fetch('UPDATE_CHECK_URL', 'https://api.joinmastodon.org/update-check')&.to_json %>
  source:
    base_url: <%= ENV.fetch('SOURCE_BASE_URL', 'https://vault.stevenoh0908.pe.kr/stevenoh0908/mastodon-sakyey')&.to_json %>
    repository: <%= ENV.fetch('GITHUB_REPOSITORY', 'stevenoh0908/mastodon-sakyey') %>
    tag: <%= ENV.fetch('SOURCE_TAG', nil) %>
  version:
    metadata: <%= ['glitch', ENV.fetch('MASTODON_VERSION_METADATA', nil)].compact_blank.join('.').to_json %> # This field will be neglected, since we hard-encoded metadata for sakyey in version.rb
    prerelease: <%= ENV.fetch('MASTODON_VERSION_PRERELEASE', nil)&.to_json %>
test:
  experimental_features: <%= [ENV.fetch('EXPERIMENTAL_FEATURES', nil), 'testing_only'].compact.join(',') %>
